Skip to content
Permalink
Browse files

all: drop Go 1.12, add Go 1.14

While at it, update the go versions in go.mod files to target 1.14.
  • Loading branch information
mvdan committed Mar 8, 2020
1 parent a289aae commit 5abcb9d5077610d4b11d08696220fcece43c2ced
Showing with 7 additions and 7 deletions.
  1. +3 −3 .github/workflows/test.yml
  2. +1 −1 README.md
  3. +1 −1 _fuzz/it/go.mod
  4. +1 −1 cmd/shfmt/Dockerfile
  5. +1 −1 go.mod
@@ -6,7 +6,7 @@ jobs:
test:
strategy:
matrix:
go-version: [1.12.x, 1.13.x]
go-version: [1.13.x, 1.14.x]
platform: [ubuntu-latest, macos-latest, windows-latest]
runs-on: ${{ matrix.platform }}
steps:
@@ -31,15 +31,15 @@ jobs:
- name: Checkout code
uses: actions/checkout@v1
- name: Test as root, without cgo, and with busybox
run: docker run -v="$PWD:/pwd" -w=/pwd -e=CGO_ENABLED=0 golang:1.13.6-alpine3.11 go test ./...
run: docker run -v="$PWD:/pwd" -w=/pwd -e=CGO_ENABLED=0 golang:1.14-alpine3.11 go test ./...

fuzz:
runs-on: ubuntu-latest
steps:
- name: Install Go
uses: actions/setup-go@v1
with:
go-version: 1.13.x
go-version: 1.14.x
- name: Checkout code
uses: actions/checkout@v1

@@ -4,7 +4,7 @@
[![fuzzit](https://app.fuzzit.dev/badge?org_id=mvdan)](https://fuzzit.dev)

A shell parser, formatter, and interpreter. Supports [POSIX Shell], [Bash], and
[mksh]. Requires Go 1.12 or later.
[mksh]. Requires Go 1.13 or later.

### Quick start

@@ -1,6 +1,6 @@
module local.tld/fuzz

go 1.13
go 1.14

replace mvdan.cc/sh/v3 => ./../..

@@ -1,4 +1,4 @@
FROM golang:1.13.5-alpine3.11 AS build
FROM golang:1.14-alpine3.11 AS build

WORKDIR /src
COPY . .
2 go.mod
@@ -1,6 +1,6 @@
module mvdan.cc/sh/v3

go 1.11
go 1.14

require (
github.com/creack/pty v1.1.9

0 comments on commit 5abcb9d

Please sign in to comment.
You can’t perform that action at this time.